Bug 191568 - buffer overflow detected: as terminated
buffer overflow detected: as terminated
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 19:28 EDT by Andrew W. Beale
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-13 02:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar of directory containing testcase (8.11 KB, application/octet-stream)
2006-05-12 19:28 EDT, Andrew W. Beale
no flags Details

  None (edit)
Description Andrew W. Beale 2006-05-12 19:28:45 EDT
Description of problem:
When attempting to get a simple c++ program to compile in stages, the assembler
faults with a  buffer overflow.

Version-Release number of selected component (if applicable):
g++ -dumpversion reports 4.1.0

How reproducible:
every time

Steps to Reproduce:
1. Put all files in a directory
2. Invoke ./doit
3. Fault will generate
  
Actual results:
Here is the screen dump of the error:
[bealeaw@localhost awb]$ ./doit
awbfmod.cpp: In function ‘int main()’:
awbfmod.cpp:12: warning: format ‘%X’ expects type ‘unsigned int’, but argument 2
has type ‘double
awbfmod.as: Assembler messages:
awbfmod.as:0: Warning: end of file not at end of a line; newline inserted
awbfmod.as:1: Error: junk at end of line, first unrecognized character valued 0x7f
awbfmod.as:1: Error: junk at end of line, first unrecognized character valued 0x1
awbfmod.as:1: Error: junk at end of line, first unrecognized character is `>'
awbfmod.as:1: Error: junk at end of line, first unrecognized character valued 0x1
*** buffer overflow detected ***: as terminated
======= Backtrace: =========
/lib64/libc.so.6(__chk_fail+0x2f)[0x36c18dee3f]
/lib64/libc.so.6[0x36c18de3f9]
/lib64/libc.so.6(_IO_default_xsputn+0x89)[0x36c1869ed9]
/lib64/libc.so.6(_IO_vfprintf+0x1638)[0x36c1842af8]
/lib64/libc.so.6(__vsprintf_chk+0x9d)[0x36c18de49d]
/lib64/libc.so.6(__sprintf_chk+0x80)[0x36c18de3e0]
as[0x424c88]
as[0x424e45]
as[0x428875]
as[0x41914b]
as[0x40535a]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x36c181d084]
as(free+0x129)[0x402949]
======= Memory map: ========
00400000-0044d000 r-xp 00000000 fd:00 23473653                           /usr/bin/as
0054d000-0054f000 rw-p 0004d000 fd:00 23473653                           /usr/bin/as
0054f000-0059a000 rw-p 0054f000 00:00 0                                  [heap]
36c1600000-36c1619000 r-xp 00000000 fd:00 18776293                      
/lib64/ld-2.4.so
36c1719000-36c171a000 r--p 00019000 fd:00 18776293                       /lib64/
36c171a000-36c171b000 rw-p 0001a000 fd:00 18776293                       /lib64/
36c1800000-36c193f000 r-xp 00000000 fd:00 18776294                       /lib64/
36c193f000-36c1a3f000 ---p 0013f000 fd:00 18776294                       /lib64/
36c1a3f000-36c1a43000 r--p 0013f000 fd:00 18776294                       /lib64/
36c1a43000-36c1a44000 rw-p 00143000 fd:00 18776294                       /lib64/
36c1a44000-36c1a49000 rw-p 36c1a44000 00:00 0
36c4300000-36c430d000 r-xp 00000000 fd:00 18776299                       /lib64/
36c430d000-36c440d000 ---p 0000d000 fd:00 18776299                       /lib64/
36c440d000-36c440e000 rw-p 0000d000 fd:00 18776299                       /lib64/
3da8700000-3da8798000 r-xp 00000000 fd:00 23473668                       /usr/li
3da8798000-3da8897000 ---p 00098000 fd:00 23473668                       /usr/li
3da8897000-3da88a4000 rw-p 00097000 fd:00 23473668                       /usr/li
3da88a4000-3da88a8000 rw-p 3da88a4000 00:00 0
2aaaaaaab000-2aaaaaaac000 rw-p 2aaaaaaab000 00:00 0
2aaaaaacf000-2aaaaaad1000 rw-p 2aaaaaacf000 00:00 0
2aaaaaad1000-2aaaade63000 r--p 00000000 fd:00 23464831                   /usr/li
2aaaade63000-2aaaae16a000 rw-p 2aaaade63000 00:00 0
7fffffba2000-7fffffbb7000 rw-p 7fffffba2000 00:00 0                      [stack]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  [vdso]
g++: Internal error: Aborted (program as)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Expected results:
I expected to find an executable produced.

Additional info:
Appears to also fail on a 32 bit SUSE 10 installation
Comment 1 Andrew W. Beale 2006-05-12 19:28:45 EDT
Created attachment 128965 [details]
tar of directory containing testcase

Note You need to log in before you can comment on or make changes to this bug.